[Launch]
ProgramExecutable=VueScan\VueScan.exe
ProgramExecutable64=VueScan\VueScan64.exe
RunAsAdmin=compile-force
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
VueScan=HKCU\Software\VueScan
HKLM=HKLM\Software\VueScan
Path=HKLM\Software\VueScan\path
-=HKCU\Software\Microsoft\ActiveMovie\Filter Cache64
-=HKCU\Software\Microsoft\ActiveMovie\Filter Cache

[RegistryValueWrite]
HKCU\SOFTWARE\VueScan\path\=REG_SZ:%PAL:AppDir%\VueScan\VueScan.exe
HKCU\SOFTWARE\VueScan\path\=REG_SZ:%PAL:AppDir%\VueScan\VueScan64.exe
HKLM\SOFTWARE\VueScan\path\=REG_SZ:%PAL:AppDir%\VueScan\VueScan.exe
HKLM\SOFTWARE\VueScan\path\=REG_SZ:%PAL:AppDir%\VueScan\VueScan64.exe
HKCU\Software\VueScan\license\ActivationKey\=REG_SZ:113798714
HKCU\Software\VueScan\license\CustomerNumber\=REG_SZ:462606318
HKCU\Software\VueScan\license\EmailAddress\=REG_SZ:hamrick_software@hamrick.com

[DirectoriesMove]
twain_32=%WINDIR%\twain_32
twain_64=%WINDIR%\twain_64

[FilesMove]
settings\vuescan.ini=%PAL:AppDir%\Vuescan
settings\vuescan.log=%PAL:AppDir%\Vuescan

[RegistryCleanupIfEmpty]
1=HKCU\Software\VueScan
2=HKLM\Software\VueScan\path
3=HKLM\Software\VueScan
4=HKCU\Software\Microsoft\ActiveMovie\Filter Cache64
5=HKCU\Software\Microsoft\ActiveMovie\Filter Cache

[RegistryValueBackupDelete]
1=HKLM\Software\VueScan\path
2=HKLM\Software\VueScan
